package yi.iu;

public class LawsAttrs
{
    static int ATTRNUM=14;
    
    public int[] attrs=null;

    public LawsAttrs(int[] _attrs)
    {
        if (_attrs.length!=ATTRNUM) {
            System.err.println("initialize the laws attributes with wrong number of attributes");
        }
        else attrs=_attrs;
    }
    
    public LawsAttrs(int a1, int a2, int a3, int a4, int a5, int a6, int a7, int a8, int a9, int a10, int a11, int a12, int a13, int a14)
    {
        int[] _attrs= {a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14};
        attrs=_attrs;
    }
}